
kerio.waw.ui.routeEditor = {

x_m: function(x_n) {
this.x_ga = x_n; var x_2w = this.x_ga + '_';
var x_1b = kerio.lib;
var x_x = x_1b.x_x;
var x_yx = (x_n === 'x_er');
var x_1d = {
x_1e: [
{	x_1f: 'x_79',
x_23: x_x('Custom VPN route', 'routeEditor'),
x_1e: [
{	x_23: x_x('Description', 'common'),
x_1j: 'x_f8',
x_93: 255,
x_ge: true,
x_b6: {
x_b7: false
}
},
{	x_23: x_x('Network:', 'trafficHostEditor'),
x_1j: 'x_17h',
x_93: 15,
x_b6: {
x_b7: false,
x_nv: 'x_t2'
}
},
{	x_23: x_x('Mask:', 'common'),
x_1j: 'x_24',
x_93: 15,
x_b6: {
x_b7: false,
x_nv: 'x_12n'
}
}
]
}
]
};var x_1c = new x_1b.x_1t(x_2w + 'x_1c', x_1d);
var x_10 = {
x_1u: 350,
x_l0: 350,
x_1v: 205,
x_l1: 205,
x_1w: true,
x_1y: (x_yx ? x_x('Edit Route', 'routeEditor') : x_x('Add Route', 'routeEditor')),
x_1x: x_1c,
x_1z: [
{	x_20: true,
x_1j: 'x_jh',
x_23: x_x('OK', 'common'),
x_24: {
x_1n: x_x('Saving data…', 'common')
},

x_25: function() {
this.x_16.x_1cz();
}},
{	x_21: true,
x_1j: 'x_ji',
x_23: x_x('Cancel', 'common')
}
]
};var x_16 = new x_1b.x_26(this.x_ga, x_10);
var x_q3 = new x_1b.x_q2(x_2w + 'x_q3', [x_1c]);
x_16.x_27(
{	x_yx: x_yx,
x_3m: {},
x_1d0: '',
x_12i: true,
x_q3: x_q3
}
);this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
this.x_3m = x_28.x_7w;
this.x_ei = this.x_3m.x_ei;
if (this.x_yx) {
var x_47 = x_28.x_47;
this.x_1d0 = x_47.id;
this.x_12i = x_47.enabled;
var x_7h = {
x_17h: x_47.network,
x_24: x_47.mask,
x_f8: x_47.description
};
this.x_q3.x_7k(x_7h);
} else {
this.x_12i = true;}
};
x_2b.x_1cz = function() {
if (!this.x_3m.x_ef) {
x_fi.x_ej(x_r.x_e8.x_ek, this.x_iy, this);
} else {
this.x_iy();
}
};
x_2b.x_iy = function() {
this.x_3m.x_ef = true;
var x_yx = this.x_yx;
var x_6p;
var x_7h = this.x_q3.x_7i(true);
var x_47 = {
description: x_7h.x_f8,
network: x_7h.x_17h,
mask: x_7h.x_24,
interfaceId: this.x_ei,
enabled: this.x_12i
};
if (x_yx) {
x_6p = 'set';
x_47 = {
'ids': this.x_1d0,
'details': x_47
};
} else {
x_6p = 'create';
x_47 = {
'routes': [x_47]
};
}
x_fi.x_4y('VpnRouteManager',
x_6p,
x_47,
this.x_jk,
this);
};
x_2b.x_jk = function(x_6v) {
this.x_24(false);
if (!x_6v.x_6x) {
return;
}
this.x_3m.x_eh(this.x_ei);
this.x_2r();
};
x_2b.x_jo = function() {
this.x_q3.x_2h();
};} }; 